Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBServiceMBean

All Superinterfaces:
  CIBManagedObjectMBean, CIBMonitoredObjectMBean, CIBObjectMBean

All Known Implementing Classes:
  CIBService

public interface CIBServiceMBean
extends CIBMonitoredObjectMBean

Provides methods that should be implemented by a CIBService MBean The CIBService is the base object model to describe the Network Service Access Point(s) of an application. A CIBService managed object is characterized by the Uniform Resource Identifier (URI) descriptor of its NSAP.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Method Summary
`javax.management.ObjectName` | `getApplication()` Returns the name of the Related CIBApplication
`javax.management.ObjectName` | `getExternalResourceByUri(java.lang.String uri)` Returns the object name of a ExternalResource associated to the service identifies by its Uri
`javax.management.ObjectName[]` | `getExternalResources()` Return the list of External resource object names associated to the service
`javax.management.ObjectName[]` | `getResources()` Returns the name of each related CIBRessources
`java.lang.String` | `getUri()` Provides the service name identified by its URI

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectMBean
`getAvailabilityStatusDegradedTime, getAvailabilityStatusLastChange, getAvailabilityStatusState, getOpenStatistic, getOpenStatistics, getOpenStats, getOperationalStatusLastChange, getOperationalStatusStartTime, getOperationalStatusState, getStatisticNames, getStats, isStateProvider, isStatisticProvider, setStateProvider, setStatisticProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectMBean
`getDescription, isEventProvider, setEventProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Method Detail

### getUri

    public java.lang.String getUri()
                            throws javax.management.InvalidAttributeValueException

  Provides the service name identified by its URI

  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getApplication

    public javax.management.ObjectName getApplication()
                                               throws javax.management.InvalidAttributeValueException

  Returns the name of the Related CIBApplication

  Returns:
    ObjectName
  Throws:
    `javax.management.InvalidAttributeValueException`

### getResources

    public javax.management.ObjectName[] getResources()

  Returns the name of each related CIBRessources

  Returns:
    ObjectName[]

### getExternalResources

    public javax.management.ObjectName[] getExternalResources()

  Return the list of External resource object names associated to the service

  Returns:
    ObjectName[]

### getExternalResourceByUri

    public javax.management.ObjectName getExternalResourceByUri(java.lang.String uri)
                                                         throws CIBException

  Returns the object name of a ExternalResource associated to the service identifies by its Uri

  Parameters:
    `uri` - String
  Returns:
    ObjectName
  Throws:
    `CIBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD